nueutrogena ngna buy back stock neutrogena corp said purchase shares outstanding common stock time time open market reduce dilution future issue employee stock options company said currently shares outstanding said shares purchased currently outstanding will adjusted reflect three two stock split effective march two